org.apache.maven.scm.provider.cvslib.command.checkout

## Class AbstractCvsCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand
    - - org.apache.maven.scm.provider.cvslib.command.checkout.AbstractCvsCheckOutCommand

All Implemented Interfaces:
  Command, CvsCommand

Direct Known Subclasses:
  CvsExeCheckOutCommand, CvsJavaCheckOutCommand

    public abstract class AbstractCvsCheckOutCommand
    extends AbstractCheckOutCommand
    implements CvsCommand

Version:
  $Id: AbstractCvsCheckOutCommand.java 691810 2008-09-03 22:38:28Z vsiveton $
Author:
  Emmanuel Venisse , Trygve Laugstøl

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCvsCheckOutCommand()`

### Method Summary

Methods
`protected CheckOutScmResult` `executeCheckOutCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version, boolean recursive)` Execute Check out command line.
`protected abstract CheckOutScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`

### Methods inherited from class org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

`executeCheckOutCommand, executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsCheckOutCommand

    public AbstractCvsCheckOutCommand()

### Method Detail

#### executeCheckOutCommand

    protected CheckOutScmResult executeCheckOutCommand(ScmProviderRepository repo,
                                           ScmFileSet fileSet,
                                           ScmVersion version,
                                           boolean recursive)
                                                throws ScmException

Execute Check out command line.

Specified by:
  `executeCheckOutCommand` in class `AbstractCheckOutCommand`
Parameters:
  `repo` - not null
  `fileSet` - not null
  `version` - not null
  `recursive` - `true` if recursive check out is wanted, `false` otherwise.
Returns:
  the checkout result
Throws:
  `ScmException` - if any

#### executeCvsCommand

    protected abstract CheckOutScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                                    throws ScmException

Throws:
  `ScmException`